> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workspace

> Fetch any given workspace with an ID. No authentication is required.



## OpenAPI

````yaml get /workspaces/{id}
openapi: 3.0.3
info:
  title: Productlane API
  version: 1.0.0
servers:
  - url: https://productlane.com/api/v1
security: []
paths:
  /workspaces/{id}:
    get:
      tags:
        - workspaces
      summary: Get workspace
      description: Fetch any given workspace with an ID. No authentication is required.
      operationId: workspaces-get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  workspace:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      domain:
                        type: string
                      darkMode:
                        type: boolean
                        nullable: true
                      backgroundColor:
                        type: string
                      darkModeBackgroundColor:
                        type: string
                      textColor:
                        type: string
                      darkModeTextColor:
                        type: string
                      accentColor:
                        type: string
                      darkModeAccentColor:
                        type: string
                      accentTextColor:
                        type: string
                      darkModeAccentTextColor:
                        type: string
                      buttonTextColor:
                        type: string
                      darkModeButtonTextColor:
                        type: string
                      customDomain:
                        type: string
                        nullable: true
                      logoLink:
                        type: string
                        nullable: true
                      logoUrl:
                        type: string
                        nullable: true
                      changelogPublic:
                        type: boolean
                    required:
                      - id
                      - name
                      - domain
                      - darkMode
                      - backgroundColor
                      - darkModeBackgroundColor
                      - textColor
                      - darkModeTextColor
                      - accentColor
                      - darkModeAccentColor
                      - accentTextColor
                      - darkModeAccentTextColor
                      - buttonTextColor
                      - darkModeButtonTextColor
                      - customDomain
                      - logoLink
                      - logoUrl
                      - changelogPublic
                    additionalProperties: false
                  latestChangelog:
                    type: object
                    properties:
                      id:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                      isDeleted:
                        type: boolean
                      version:
                        type: number
                      date:
                        type: string
                        format: date-time
                        nullable: true
                      published:
                        type: boolean
                      title:
                        type: string
                      notes: {}
                      archived:
                        type: boolean
                      imageUrl:
                        type: string
                        nullable: true
                      projectId:
                        type: string
                        nullable: true
                      workspaceId:
                        type: string
                    required:
                      - id
                      - createdAt
                      - updatedAt
                      - isDeleted
                      - version
                      - date
                      - published
                      - title
                      - archived
                      - imageUrl
                      - projectId
                      - workspaceId
                    additionalProperties: false
                    nullable: true
                required:
                  - workspace
                  - latestChangelog
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````